<div class="amounts-card">
  <div class="amounts-card__top">
    <div class="amount" *ngIf="!isLoading; else loaderRight">
      <div class="status" [class]="content?.status?.class">
        {{ content?.status?.title | translate }}
      </div>
      <div class="title-content">
        <p class="title">{{ content?.amountTitle | translate }}</p>
        <layout-tooltip
          [tooltipMessage]="content?.totalTooltip | translate"
          [tooltipOffset]="5"
        ></layout-tooltip>
      </div>
      <h2 class="main-amount">
        {{ loanTotal?.total | customCurrency }}
      </h2>
      <p class="total" *ngIf="loanTotal?.totalCredit">
        {{ content?.totalCredit | translate }}
        {{ loanTotal?.totalCredit | customCurrency }}
      </p>
    </div>

    <div class="divider"></div>
    <div class="charges" *ngIf="!isLoading; else loaderLeft">
      <p class="charge">
        {{ content?.charges?.capitalTitle | translate }}
        <span class="charge__amount">
          {{ loanTotal?.capital | customCurrency }}
        </span>
      </p>
      <p class="charge">
        {{ content?.charges?.chargeTitle | translate }}
        <span class="charge__amount">
          {{ loanTotal?.charge | customCurrency }}
        </span>
      </p>
    </div>
  </div>
  <div class="amounts-card__details" *ngIf="!isLoading">
    <div class="arrow-container" (click)="onShowDetails()">
      <span class="arrow-container__title">
        {{
          "LOAN_MANAGER.LOAN_PROFILE.LOAN_SUMMARY.TOTALS.CHARGES_DETAILS"
            | translate
        }}
      </span>
      <i
        class="arrow-container__icon uil"
        [ngClass]="active ? 'uil-angle-up' : 'uil-angle-down'"
      ></i>
    </div>
    <div class="items-list" [@expandCollapseAnimation]="active ? 'ex' : 'coll'">
      <layout-summary-item
        *ngFor="let charge of loanTotal?.charges"
        [name]="charge?.name | snakeToCapital"
        [value]="charge?.value | customCurrency"
        [isHighlighted]="true"
        [isDashed]="true"
      >
      </layout-summary-item>
    </div>
  </div>
</div>

<ng-template #loaderRight>
  <div>
    <layout-skeleton
      *ngFor="let skeleton of skeletonItemsRight"
      [skeleton]="skeleton"
    ></layout-skeleton>
  </div>
</ng-template>
<ng-template #loaderLeft>
  <div>
    <layout-skeleton
      *ngFor="let skeleton of skeletonItemsLeft"
      [skeleton]="skeleton"
    ></layout-skeleton>
  </div>
</ng-template>
